import request from '@/utils/request'
//增加业务脚本
export function addBusinessScript(data) {
  return request({
    url: '/doc/addBusinessScript',
    method: 'post',
    params: data
  })
}

//获取业务脚本列表
export function getScriptList(data) {
  return request({
    url: '/doc/getBusinessScriptList',
    method: 'post',
    params: data
  })
}

//获取业务脚本详细信息
export function getBusinessScriptInfoById(data) {
  return request({
    url: '/doc/getBusinessScriptInfo',
    method: 'post',
    params: data
  })
}


//修改业务脚本
export function updateBusinessScript(data) {
  return request({
    url: '/doc/updateBusinessScript',
    method: 'post',
    params: data
  })
}

//获取业务脚本内容
export function getBusinessScriptContent(data) {
  return request({
    url: '/doc/getBusinessScriptContent',
    method: 'post',
    params: data
  })
}
//保存业务脚本内容
export function saveBusinessScriptContent(data) {
  return request({
    url: '/doc/saveBusinessScriptContent',
    method: 'post',
    data: data
  })
}

//编译业务脚本内容
export function compileBusinessScriptContent(data) {
  return request({
    url: '/doc/compileBusinessScriptContent',
    method: 'post',
    data: data
  })
}


//获取脚本模块列表
export function getScriptModuleList(data) {
  return request({
    url: '/doc/getScriptModuleList',
    method: 'post',
    data: data
  })
}

